/**
 * DevExtreme (integration/angular/template.js)
 * Version: 19.1.11 (build 20155-0314)
 * Build date: Wed Jun 03 2020
 *
 * Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
var $ = require("../../core/renderer");
var TemplateBase = require("../../ui/widget/ui.template_base");
var isFunction = require("../../core/utils/type").isFunction;
var domUtils = require("../../core/utils/dom");
var NgTemplate = TemplateBase.inherit({
    ctor: function(element, templateCompiler) {
        this._element = element;
        this._compiledTemplate = templateCompiler(domUtils.normalizeTemplateElement(this._element))
    },
    _renderCore: function(options) {
        var compiledTemplate = this._compiledTemplate;
        return isFunction(compiledTemplate) ? compiledTemplate(options) : compiledTemplate
    },
    source: function() {
        return $(this._element).clone()
    }
});
module.exports = NgTemplate;
